Patch #:	none
Type:		operational change (alpha)
Priority:	none
Modification:	add support for Linux - SLS release pl12/pl13 (IPTalk only)
Submitted:	Eduardo Kaftanski <ekaftan@tolten.puc.cl>
Archived:	munnari.OZ.AU	mac/cap.patches/linux.iptalk.patch
Application:	'cd cap60; patch -p < cap60.patches/linux.iptalk.patch'
Notes:		These are provisional patches only, no changes have yet
Notes:		been made to the Configure script.  Send any updates
Notes:		to cap@munnari.OZ.AU

*** lib/cap/abkip.c.orig	Thu May  6 00:06:58 1993
--- lib/cap/abkip.c		Tue Oct 26 22:12:50 1993
***************
*** 95,100 ****
--- 95,104 ----
  short lap_proto = LAP_MKIP;		/* modified KIP (UAB)	*/
  #endif UAB_MKIP
  
+ #ifdef linux
+ #define NEEDMSGHDR
+ #endif linux
+ 
  /*
   * Configuration defines
   *
*** lib/cap/absched.c.orig	Sun Sep  1 13:57:08 1991
--- lib/cap/absched.c		Tue Oct 26 22:12:51 1993
***************
*** 42,47 ****
--- 42,52 ----
  #include <netat/appletalk.h>
  #include <netat/compat.h>	/* to cover difference between bsd systems */
  
+ #ifdef linux
+ #include <posix1_lim.h>
+ #endif linux
+ 
+ 
  /*
   * NOTE: it is not important to get the TZ information.  It is simply
   * included because some systems complain if there isn't a valid pointer
*** applications/aufs/afpdt.c.orig	Mon Aug  2 21:47:50 1993
--- applications/aufs/afpdt.c		Tue Oct 26 22:12:52 1993
***************
*** 54,59 ****
--- 54,64 ----
  #ifdef NEEDFCNTLDOTH
  # include <fcntl.h>
  #endif
+ 
+ #ifdef linux
+ #include <posix1_lim.h>
+ #endif linux
+ 
  #include <netat/afp.h>
  #include <netat/afpcmd.h>
  #include "afpntoh.h"
*** applications/aufs/afpos.c.orig	Wed Dec  1 20:42:23 1993
--- applications/aufs/afpos.c		Tue Oct 26 22:12:57 1993
***************
*** 101,106 ****
--- 93,103 ----
  #ifdef USEDIRENT
  #include <dirent.h>
  #endif USEDIRENT
+ 
+ #ifdef linux
+ #include <unistd.h>
+ #endif linux
+ 
  #ifdef SHADOW_PASSWD
  #include <shadow.h>
  #endif SHADOW_PASSWD
*** lib/cap/atalkdbm.c.orig	Wed Aug  4 02:15:59 1993
--- lib/cap/atalkdbm.c		Tue Oct 26 22:12:58 1993
***************
*** 26,31 ****
--- 26,36 ----
  #include <sys/file.h>
  #include "atalkdbm.h"
  
+ #ifdef linux
+ #include <unistd.h>
+ #endif linux
+ 
+ 
  #ifndef	TAB
  # define TAB "/etc/atalk.local"
  #endif	TAB
*** etc/atis.c.orig	Wed Aug  4 02:18:00 1993
--- etc/atis.c		Tue Oct 26 22:12:59 1993
***************
*** 51,56 ****
--- 51,60 ----
  # include <varargs.h>
  #endif
  
+ #ifdef linux
+ #define SIGEMT SIGUNUSED
+ #endif linux
+ 
  /* signals in use */
  #define DUMPSIG sigmask(SIGQUIT)
  #define EXITSIG sigmask(SIGTERM)
*** netat/compat.h.orig		Thu Feb 28 23:43:37 1991
--- netat/compat.h		Tue Oct 26 22:12:59 1993
***************
*** 20,25 ****
--- 20,28 ----
   *
   */
  
+ #ifdef linux 
+ #include <posix1_lim.h>
+ #endif linux
  
  /* for those who have straight 4.2 or ultrix 1.1/1.2/2.0 systems */
  /* many of these systems don't include macros to handle select args */
*** samples/lwpr.c.orig		Sat Aug 31 15:42:10 1991
--- samples/lwpr.c		Tue Oct 26 22:37:33 1993
***************
*** 37,42 ****
--- 37,45 ----
  #ifdef xenix5
  # include <unistd.h>
  #endif xenix5
+ #ifdef linux
+ #include <unistd.h>
+ #endif linux
  
  #ifndef CAPPRINTERS
  # define CAPPRINTERS "/etc/cap.printers"
*** applications/papif/papif.c.orig	Mon Nov 29 23:38:16 1993
--- applications/papif/papif.c		Tue Oct 26 22:13:01 1993
***************
*** 50,55 ****
--- 50,60 ----
  # include <unistd.h>
  #endif xenix5
  
+ #ifdef linux
+ #include <unistd.h>
+ #define SIGEMT SIGUNUSED
+ #endif linux
+ 
  /* Configuration options */
  
  #ifndef CAPPRINTERS
*** applications/lwsrv/procset.c.orig	Tue Sep 28 18:25:19 1993
--- applications/lwsrv/procset.c	Tue Oct 26 22:13:01 1993
***************
*** 48,53 ****
--- 48,58 ----
  #ifdef xenix5
  # include <unistd.h>
  #endif xenix5
+ 
+ #ifdef linux
+ #include <unistd.h>
+ #endif linux
+ 
  #include "procset.h"
  #include "spmisc.h"
  
*** applications/lwsrv/simple.c.orig	Sun Jul 26 00:45:14 1992
--- applications/lwsrv/simple.c		Tue Oct 26 22:13:01 1993
***************
*** 45,50 ****
--- 45,54 ----
  #include "fontlist.h"
  #include "papstream.h"
  
+ #ifdef linux
+ #include <posix1_lim.h>
+ #endif linux
+ 
  #ifdef PAGECOUNT
  #ifndef LBUFFER
  #define	LBUFFER	PAGECOUNT
